You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     x...@freebsd.org
Last committer: sunp...@freebsd.org
Ident:          $FreeBSD: branches/2017Q1/devel/libclc/Makefile 430235 
2017-01-01 03:45:12Z sunpoet $
Log URL:        
http://beefy15.nyi.freebsd.org/data/110armv6-quarterly/434150/logs/libclc-0.2.0.20151006.log
Build URL:      
http://beefy15.nyi.freebsd.org/build.html?mastername=110armv6-quarterly&build=434150
Log:

====>> Building devel/libclc
build started at Thu Feb 16 09:41:06 UTC 2017
port directory: /usr/ports/devel/libclc
building for: FreeBSD 110armv6-quarterly-job-07 11.0-RELEASE-p5 FreeBSD 
11.0-RELEASE-p5 r309692 arm
maintained by: x...@freebsd.org
Makefile ident:      $FreeBSD: branches/2017Q1/devel/libclc/Makefile 430235 
2017-01-01 03:45:12Z sunpoet $
Poudriere version: 3.1.14
Host OSVERSION: 1200018
Jail OSVERSION: 1100122
Job Id: 07

---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
UNAME_v=FreeBSD 11.0-RELEASE-p5 r309692
UNAME_r=11.0-RELEASE-p5
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=armv6
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/110armv6-quarterly/ref
QEMU_EMULATING=1
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=libclc-0.2.0.20151006
OSREL=11.0
_OSRELEASE=11.0-RELEASE-p5
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=28
PWD=/usr/local/poudriere/data/.m/110armv6-quarterly/ref/.p/pool
MASTERNAME=110armv6-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.14
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1100122
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake PYTHON="/usr/local/bin/python2.7" 
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/libclc/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/libclc/work  
HOME=/wrkdirs/usr/ports/devel/libclc/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
MAKE=gmake DESTDIR=/wrkdirs/usr/ports/devel/libclc/work/stage 
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/libclc/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/libclc/work  
HOME=/wrkdirs/usr/ports/devel/libclc/work TMPDIR="/tmp" NO_PIE=yes 
MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
DESTDIR=/wrkdirs/usr/ports/devel/libclc/work/stage PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 
-pipe  -fno-strict-aliasing"  CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  
LDFLAGS="" LIBS=""  CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe 
-fno-strict-aliasing "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-m 555"  BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 
555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PYTHON_INCLUDEDIR=include/python2.7
PYTHON_LIBDIR=lib/python2.7
PYTHON_PLATFORM=freebsd11
PYTHON_SITELIBDIR=lib/python2.7/site-packages
PYTHON_VER=2.7
PYTHON_VERSION=python2.7
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/libclc"
EXAMPLESDIR="share/examples/libclc"
DATADIR="share/libclc"
WWWDIR="www/libclc"
ETCDIR="etc/libclc"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/libclc
DOCSDIR=/usr/local/share/doc/libclc
EXAMPLESDIR=/usr/local/share/examples/libclc
WWWDIR=/usr/local/www/libclc
ETCDIR=/usr/local/etc/libclc
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
MACHINE=arm
MACHINE_ARCH=armv6
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   libclc-0.2.0.20151006 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.9.4_1.txz
pkg-static: Warning: Major OS version upgrade detected.  Running "pkg-static 
install -f pkg" recommended
[110armv6-quarterly-job-07] Installing pkg-1.9.4_1...
[110armv6-quarterly-job-07] Extracting pkg-1.9.4_1: .......... done
===>   libclc-0.2.0.20151006 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of libclc-0.2.0.20151006
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by libclc-0.2.0.20151006 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by libclc-0.2.0.20151006 for building
=> SHA256 Checksum OK for llvm-mirror-libclc-0.2.0.20151006-6d78407_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by libclc-0.2.0.20151006 for building
===>  Extracting for libclc-0.2.0.20151006
=> SHA256 Checksum OK for llvm-mirror-libclc-0.2.0.20151006-6d78407_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for libclc-0.2.0.20151006
===>  Applying FreeBSD patches for libclc-0.2.0.20151006
===========================================================================
=======================<phase: build-depends  >============================
===>   libclc-0.2.0.20151006 depends on executable: clang37 - not found
===>   Installing existing package /packages/All/llvm37-3.7.1_4.txz
pkg-static: Warning: Major OS version upgrade detected.  Running "pkg-static 
install -f pkg" recommended
[110armv6-quarterly-job-07] Installing llvm37-3.7.1_4...
[110armv6-quarterly-job-07] `-- Installing python27-2.7.13_1...
[110armv6-quarterly-job-07] |   `-- Installing libffi-3.2.1...
[110armv6-quarterly-job-07] |   | `-- Installing indexinfo-0.2.6...
[110armv6-quarterly-job-07] |   | `-- Extracting indexinfo-0.2.6: .... done
[110armv6-quarterly-job-07] |   `-- Extracting libffi-3.2.1: .......... done
[110armv6-quarterly-job-07] |   `-- Installing gettext-runtime-0.19.8.1_1...
[110armv6-quarterly-job-07] |   `-- Extracting gettext-runtime-0.19.8.1_1: 
.......... done
[110armv6-quarterly-job-07] |   `-- Installing readline-6.3.8...
[110armv6-quarterly-job-07] |   `-- Extracting readline-6.3.8: .......... done
[110armv6-quarterly-job-07] `-- Extracting python27-2.7.13_1: .......... done
[110armv6-quarterly-job-07] `-- Installing perl5-5.24.1.r4_1...
[110armv6-quarterly-job-07] `-- Extracting perl5-5.24.1.r4_1: .......... done
[110armv6-quarterly-job-07] `-- Installing libedit-3.1.20150325_2,1...
[110armv6-quarterly-job-07] `-- Extracting libedit-3.1.20150325_2,1: .......... 
done
[110armv6-quarterly-job-07] Extracting llvm37-3.7.1_4: .......... done
Message from python27-2.7.13_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
Message from perl5-5.24.1.r4_1:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
===>   libclc-0.2.0.20151006 depends on executable: clang37 - found
===>   Returning to build of libclc-0.2.0.20151006
===>   libclc-0.2.0.20151006 depends on package: libedit>=0 - found
===>   libclc-0.2.0.20151006 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.2.1_1.txz
pkg-static: Warning: Major OS version upgrade detected.  Running "pkg-static 
install -f pkg" recommended
[110armv6-quarterly-job-07] Installing gmake-4.2.1_1...
[110armv6-quarterly-job-07] Extracting gmake-4.2.1_1: .......... done
===>   libclc-0.2.0.20151006 depends on executable: gmake - found
===>   Returning to build of libclc-0.2.0.20151006
===>   libclc-0.2.0.20151006 depends on file: /usr/local/bin/python2.7 - found
===>   libclc-0.2.0.20151006 depends on executable: python2 - not found
===>   Installing existing package /packages/All/python2-2_3.txz
pkg-static: Warning: Major OS version upgrade detected.  Running "pkg-static 
install -f pkg" recommended
[110armv6-quarterly-job-07] Installing python2-2_3...
[110armv6-quarterly-job-07] Extracting python2-2_3: ...... done
===>   libclc-0.2.0.20151006 depends on executable: python2 - found
===>   Returning to build of libclc-0.2.0.20151006
===>   libclc-0.2.0.20151006 depends on executable: ninja - not found
===>   Installing existing package /packages/All/ninja-1.7.2,2.txz
pkg-static: Warning: Major OS version upgrade detected.  Running "pkg-static 
install -f pkg" recommended
[110armv6-quarterly-job-07] Installing ninja-1.7.2,2...
[110armv6-quarterly-job-07] Extracting ninja-1.7.2,2: ....... done
===>   libclc-0.2.0.20151006 depends on executable: ninja - found
===>   Returning to build of libclc-0.2.0.20151006
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for libclc-0.2.0.20151006
===========================================================================
=======================<phase: build          >============================
===>  Building for libclc-0.2.0.20151006
[1/1105] /usr/local/llvm37/bin/clang++ -MMD -MF utils/prepare-builtins.o.d 
-I/usr/local/llvm37/include -O2 -pipe -isystem /usr/local/include 
-fno-strict-aliasing  -isystem /usr/local/include -fPIC 
-fvisibility-inlines-hidden -Wall -W -Wno-unused-parameter -Wwrite-strings 
-Wcast-qual -Wmissing-field-initializers -pedantic -Wno-long-long 
-Wcovered-switch-default -Wnon-virtual-dtor -std=c++11 -fcolor-diagnostics 
-ffunction-sections -fdata-sections -O2 -pipe -isystem /usr/local/include 
-fno-strict-aliasing  -isystem /usr/local/include -fno-exceptions -fno-rtti  
-D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS 
-fno-exceptions -fno-rtti -c -o utils/prepare-builtins.o 
utils/prepare-builtins.cpp
[2/1105] /usr/local/llvm37/bin/clang++ -o utils/prepare-builtins 
utils/prepare-builtins.o -lLLVMBitWriter -lLLVMBitReader -lLLVMCore 
-lLLVMSupport -lrt -ltinfo -lpthread -lz -lm -L/usr/local/llvm37/lib 
-L/usr/local/lib -Wl,-rpath /usr/local/llvm37/lib
FAILED: utils/prepare-builtins 
/usr/local/llvm37/bin/clang++ -o utils/prepare-builtins 
utils/prepare-builtins.o -lLLVMBitWriter -lLLVMBitReader -lLLVMCore 
-lLLVMSupport -lrt -ltinfo -lpthread -lz -lm -L/usr/local/llvm37/lib 
-L/usr/local/lib -Wl,-rpath /usr/local/llvm37/lib
/usr/bin/ld: ERROR: utils/prepare-builtins uses VFP register arguments, 
utils/prepare-builtins.o does not
/usr/bin/ld: failed to merge target specific data of file 
utils/prepare-builtins.o
clang-3.7: error: linker command failed with exit code 1 (use -v to see 
invocation)
ninja: build stopped: subcommand failed.
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/libclc
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to